init -1:
    $ eminluv_flag = False
    
    #анимация ряби
    image alice_shock_eminluv: 
        "eminluv/img/cg/alice_eminluv.png" with Dissolve(0.1)
        pause 0.1
        "eminluv/img/cg/alice_blur_eminluv.png" with Dissolve(0.1)
        pause 0.1
        repeat
        
    transform eminluv_drop:
        rotate_pad False
        easeout 1.0 ypos 0.8 rotate 90

    image eminluv_stab:
        "eminluv/img/gui/knife.png"
        rotate_pad False
        xanchor 993    #modded: xanchor 1490
        yanchor 450    #modded: yanchor 675
        xpos 1280    #modded: xpos 1920
        ypos 1013    #modded: ypos 1520
        rotate -35
        easeout 1.5 ypos 607 rotate 0    #modded: easeout 1.5 ypos 910 rotate 0
        pause .5
        easein .3 ypos 1013 rotate -35    #modded: easein .3 ypos 1520 rotate -35

    image eminluv_stab_blood:
        "eminluv/img/gui/knife_blood.png"
        rotate_pad False
        xanchor 993    #modded: xanchor 1490
        yanchor 450    #modded: yanchor 675
        xpos 1280    #modded: xpos 1920
        ypos 1013    #modded: ypos 1520
        rotate -35
        easeout 1.5 ypos 607 rotate 0    #modded: easeout 1.5 ypos 910 rotate 0
        pause .5
        easein .3 ypos 1013 rotate -35    #modded: easein .3 ypos 1520 rotate -35
        
    image knife_socc:
        "eminluv/img/gui/knife_socc.png"
        rotate_pad False
        xanchor 993    #modded: xanchor 1490
        yanchor 450    #modded: yanchor 675
        xpos 1280    #modded: xpos 1920
        ypos 1013    #modded: ypos 1520
        rotate -35
        easeout 1.5 ypos 607 rotate 0    #modded: easeout 1.5 ypos 910 rotate 0
        pause .5
        easein .3 ypos 1013 rotate -35        #modded: easein .3 ypos 1520 rotate -35

init 999:

    $ reboot_eminluv = ImageDissolve("eminluv/img/gui/reboot_eminluv.jpg", 1.5, 30, reverse=False)
    
    image eminluv_bubble = Image("eminluv/img/gui/baloon.png", xanchor = 0, yanchor = 212)    #modded: image eminluv_bubble = Image("eminluv/img/gui/baloon.png", xanchor = 0, yanchor = 318)

    $ style.eminluv_text = Style(style.default)
    $ style.eminluv_text.italic = False
    $ style.eminluv_text.bold = False
    $ style.eminluv_text.text_align = 0.5
    $ style.eminluv_text.size = 20    #modded: $ style.eminluv_text.size = 30

    $ config.after_load_callbacks.append(eminluv_after_load)
    
init python:
    def eminluv_screens_save():
        renpy.display.screen.screens[("original_game_menu_selector", None)] = renpy.display.screen.screens[("game_menu_selector", None)]
        renpy.display.screen.screens[("original_say", None)] =                renpy.display.screen.screens[("say", None)]

    eminluv_screens_save()
    
    def eminluv_screens_on():
        renpy.display.screen.screens[("game_menu_selector", None)] =          renpy.display.screen.screens[("eminluv_game_menu_selector", None)]
        renpy.display.screen.screens[("say", None)] =                         renpy.display.screen.screens[("eminluv_say", None)]

    def eminluv_screens_load():
        renpy.display.screen.screens[("game_menu_selector", None)] =          renpy.display.screen.screens[("original_game_menu_selector", None)]
        renpy.display.screen.screens[("say", None)] =                         renpy.display.screen.screens[("original_say", None)]

    def eminluv_interface_on():
        eminluv_screens_on()
        persistent.eminluv_interface = True

    def eminluv_interface_off():
        eminluv_screens_load()
        persistent.eminluv_interface = False
        
    def eminluv_exit():
        eminluv_interface_off()

    def eminluv_after_load():
        global eminluv_flag
        if eminluv_flag:
            eminluv_interface_on()
        else:
            if persistent.eminluv_interface:
                eminluv_interface_off()
        
screen eminluv_game_menu_selector:
    tag menu
    modal True
    $ timeofday = persistent.timeofday
    button:
        style "blank_button"
        xpos 0
        ypos 0
        xfill True
        yfill True
        action Return()
    add get_image("gui/ingame_menu/"+timeofday+"/ingame_menu.png"):
        xalign 0.5
        yalign 0.5
    imagemap:
        if _preferences.language == None:
            auto get_image("gui/ingame_menu/"+timeofday+"/ingame_menu_%s.png")
            xalign 0.5
            yalign 0.5
        elif _preferences.language == "spanish":
            auto get_image("gui/ingame_menu/"+timeofday+"/ingame_menu_es_%s.png")
            xalign 0.5
            yalign 0.5
        elif _preferences.language == "italian":
            auto get_image("gui/ingame_menu/"+timeofday+"/ingame_menu_it_%s.png")
            xalign 0.5
            yalign 0.5
        elif _preferences.language == "english":
            auto get_image("gui/ingame_menu/"+timeofday+"/ingame_menu_en_%s.png")
            xalign 0.5
            yalign 0.5
        elif _preferences.language == "chinese":
            auto get_image("gui/ingame_menu/"+timeofday+"/ingame_menu_ch_%s.png")
            xalign 0.5
            yalign 0.5
        hotspot (0, 83, 660, 65):    #modded: 
            focus_mask None
            clicked [Function(eminluv_exit), MainMenu()]
        hotspot (0, 148, 660, 65):    #modded: 
            focus_mask None
            clicked ShowMenu('save')
        hotspot (0, 213, 660, 65):    #modded: 
            focus_mask None
            clicked ShowMenu('load')
        hotspot (0, 278, 660, 65):    #modded: 
            focus_mask None
            clicked (ShowMenu('eminluv_preferences'), Hide('eminluv_game_menu_selector'))
        hotspot (0, 343, 660, 65):    #modded: 
            focus_mask None
            clicked ShowMenu('quit')
    
screen eminluv_preferences:
    tag menu
    style_prefix "pref"
    $ translate()
    add "images/gui/settings/preferences_bg.jpg"
    window:
        ypos 0.23
        viewport:
            id "preferences"
            mousewheel True
            draggable True
            scrollbars "vertical"
            xpos 0.38
            xmaximum 0.74
            ymaximum 0.68
            yfill False
            vbox:
                spacing 8    #modded: 
                hbox:
                    style_prefix "prefe"
                    text translation_new["Skip"]:
                        style "settings_header"
                hbox:
                    style_prefix "radio"
                    textbutton translation_new["Skip_seen"]:
                        action Preference("skip", "seen")
                        text_style "settings_text"
                    textbutton translation_new["Skip_all"]:
                        action Preference("skip", "all")
                        text_style "settings_text"
                hbox:
                    style_prefix "prefe"
                    text translation_new["Text_speed"]:
                        style "settings_header"
                hbox:
                    style_prefix "prefe"
                    bar:
                        value Preference("text speed")
                        style "pref_bar"
                        xmaximum 0.6
                hbox:
                    style_prefix "prefe"
                    text translation_new["Autoforward_time"]:
                        style "settings_header"
                hbox:
                    style_prefix "prefe"
                    bar:
                        value Preference("auto-forward time")
                        style "pref_bar"
                        xmaximum 0.6
                hbox:
                    style_prefix "prefe"
                    text translation_new["Volume"]:
                        style "settings_header"
                if config.has_music:
                    hbox:
                        style_prefix "prefe"
                        textbutton translation_new["Music_lower"]:
                            action Play("sound", "sound/test.ogg")
                            text_style "settings_text"
                    hbox:
                        style_prefix "prefe"
                        bar:
                            value Preference("music volume")
                            style "pref_bar"
                            xmaximum 0.6
                if config.has_sound:
                    hbox:
                        style_prefix "prefe"
                        textbutton translation_new["Sound"]:
                            action Play("sound", "sound/test.ogg")
                            text_style "settings_text"
                    hbox:
                        style_prefix "prefe"
                        bar:
                            value Preference("sound volume")
                            style "pref_bar"
                            xmaximum 0.6
                if config.has_voice:
                    hbox:
                        style_prefix "prefe"
                        textbutton translation_new["Ambience"]:
                            action Play("sound", "sound/test.ogg")
                            text_style "settings_text"
                    hbox:
                        style_prefix "prefe"
                        bar:
                            value Preference("voice volume")
                            style "pref_bar"
                            xmaximum 0.6
                null:
                    height 10    #modded: 
                hbox:
                    style_prefix "prefe"
                    textbutton translation_new["Language"]:
                        text_style "settings_header_link"
                        action ShowMenu("language_menu")
                hbox:
                    style_prefix "prefe"
                    text translation_new["Restart"]:
                        style "settings_header"
                        size 16    #modded: 
                hbox:
                    style_prefix "prefe"
                    textbutton translation_new["Font"]:
                        text_style "settings_header"
                hbox:
                    style_prefix "radio"
                    spacing 10    #modded: 
                    textbutton translation_new["Normal_font"]:
                        text_style "settings_text"
                        action SetField(persistent, "font_size", "small")
                    textbutton translation_new["Big_font"]:
                        text_style "settings_text"
                        action SetField(persistent, "font_size", "large")
                    textbutton translation_new["Giant_font"]:
                        text_style "settings_text"
                        action SetField(persistent, "font_size", "giant")
                hbox:
                    style_prefix "prefe"
                    text translation_new["Video"]:
                        style "settings_header"
                hbox:
                    style_prefix "radio"
                    textbutton translation_new["Yes"]:
                        text_style "settings_text"
                        action SetField(persistent, "show_video", True)
                    textbutton translation_new["No"]:
                        text_style "settings_text"
                        action SetField(persistent, "show_video", False)
                hbox:
                    style_prefix "prefe"
                    text translation_new["show_achievments"]:
                        style "settings_header"
                hbox:
                    style_prefix "radio"
                    textbutton translation_new["Yes"]:
                        text_style "settings_text"
                        action SetField(persistent, "show_achievements", True)
                    textbutton translation_new["No"]:
                        text_style "settings_text"
                        action SetField(persistent, "show_achievements", False)
    use navigation ("preferences")
    
screen eminluv_say:
    window:
        background None
        id "window"
        
        add "eminluv/img/gui/textbox.png":
            xalign 0.0
            yalign 1.0
            
        hbox:

            xalign 0.5
            yalign 1.0

            textbutton _(" История ") text_style "button_text" text_size 23 action ShowMenu('help')
            textbutton _(" Скрыть интерфейс ") text_style "button_text" text_size 23  action HideInterface()
            textbutton _(" Сохранить ") text_style "button_text" text_size 23  action ShowMenu('save')
            textbutton _(" Меню ") text_style "button_text" text_size 23  action ShowMenu('game_menu_selector')
            textbutton _(" Загрузить ") text_style "button_text" text_size 23  action ShowMenu('load')
            textbutton _(" Пропустить ") text_style "button_text" text_size 23  action Skip()

        text what:
            id "what"
            xpos 129    #modded: xpos 194
            ypos 609    #modded: ypos 914
            xmaximum 1027    #modded: xmaximum 1541
            size 23    #modded: size 35
            line_spacing 1
        if who:
            text who:
                id "who"
                xpos 129    #modded: xpos 194
                ypos 585    #modded: ypos 877
                size 23    #modded: size 35
                line_spacing 1
                
screen eminluv_bubble:
    add "eminluv_bubble":
        if eminluv_pos == 'center':
            xpos 695    #modded: xpos 1043
        elif eminluv_pos == 'left':
            xpos 414    #modded: xpos 621
        elif eminluv_pos == 'right':
            xpos 977    #modded: xpos 1465
        elif eminluv_pos == 'fleft':
            xpos 260    #modded: xpos 390
        elif eminluv_pos == 'fright':
            xpos 1131    #modded: xpos 1696
        elif eminluv_pos == 'cleft':
            xpos 510    #modded: xpos 765
        elif eminluv_pos == 'cright':
            xpos 881    #modded: xpos 1321
        if eminluv_ch == 'cs':
            ypos 213    #modded: ypos 320
        elif eminluv_ch == 'dv':
            ypos 257    #modded: ypos 385
        elif eminluv_ch == 'el':
            ypos 213    #modded: ypos 320
        elif eminluv_ch == 'mi':
            ypos 311    #modded: ypos 467
        elif eminluv_ch == 'mt':
            ypos 213    #modded: ypos 320
        elif eminluv_ch == 'mz':
            ypos 311    #modded: ypos 467
        elif eminluv_ch == 'pi':
            ypos 213    #modded: ypos 320
        elif eminluv_ch == 'sh':
            ypos 213    #modded: ypos 320
        elif eminluv_ch == 'sl':
            ypos 257    #modded: ypos 385
        elif eminluv_ch == 'un':
            ypos 277    #modded: ypos 415
        elif eminluv_ch == 'us':
            ypos 418    #modded: ypos 627
        elif eminluv_ch == 'uv':
            ypos 355    #modded: ypos 533
        elif eminluv_ch == 'sm':
            ypos 213    #modded: ypos 320
        elif eminluv_ch == 'eminluv':
            xpos 863    #modded: xpos 1295
            ypos 646    #modded: ypos 969
    text eminluv_txt:
        style "eminluv_text"
        xanchor 0.5
        yanchor 0.5
        xmaximum 200    #modded: xmaximum 300
        if eminluv_pos == 'center':
            xpos 890    #modded: xpos 1335
        elif eminluv_pos == 'left':
            xpos 609    #modded: xpos 913
        elif eminluv_pos == 'right':
            xpos 1171    #modded: xpos 1757
        elif eminluv_pos == 'fleft':
            xpos 455    #modded: xpos 682
        elif eminluv_pos == 'fright':
            xpos 1325    #modded: xpos 1988
        elif eminluv_pos == 'cleft':
            xpos 705    #modded: xpos 1057
        elif eminluv_pos == 'cright':
            xpos 1075    #modded: xpos 1613
        if eminluv_ch == 'cs':
            ypos 80    #modded: ypos 120
        elif eminluv_ch == 'dv':
            ypos 123    #modded: ypos 185
        elif eminluv_ch == 'el':
            ypos 80    #modded: ypos 120
        elif eminluv_ch == 'mi':
            ypos 178    #modded: ypos 267
        elif eminluv_ch == 'mt':
            ypos 80    #modded: ypos 120
        elif eminluv_ch == 'mz':
            ypos 178    #modded: ypos 267
        elif eminluv_ch == 'pi':
            ypos 80    #modded: ypos 120
        elif eminluv_ch == 'sh':
            ypos 80    #modded: ypos 120
        elif eminluv_ch == 'sl':
            ypos 123    #modded: ypos 185
        elif eminluv_ch == 'un':
            ypos 143    #modded: ypos 215
        elif eminluv_ch == 'us':
            ypos 285    #modded: ypos 427
        elif eminluv_ch == 'uv':
            ypos 222    #modded: ypos 333
        elif eminluv_ch == 'sm':
            ypos 80    #modded: ypos 120
        elif eminluv_ch == 'eminluv':
            xpos 1058    #modded: xpos 1587
            ypos 513    #modded: ypos 769

label eminluv_bubble(ch, pos, txt):
    $ eminluv_ch = ch
    $ eminluv_pos = pos
    $ eminluv_txt = txt
    $ renpy.show_screen("eminluv_bubble")
    $ renpy.with_statement(dissolve)
    ""
    $ renpy.hide_screen("eminluv_bubble")
    $ renpy.with_statement(dissolve)
    return
# Android version created with ESTool v1.000
# More info here: https://vk.com/topic-93304648_35130916
